#ifndef ATL_stGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,320,400,480,560,640,720,800,880,960,1440,1520,1680,1760,1840,2000,4000
 * N : 25,240,320,400,480,560,640,720,800,880,960,1440,1520,1680,1760,1840,2000,4000
 * NB : 2,20,32,20,80,64,36,84,40,104,108,60,80,80,80,140,140,100
 */
#define ATL_stGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 2; \
   else if ((n_) < 280) (nb_) = 20; \
   else if ((n_) < 360) (nb_) = 32; \
   else if ((n_) < 440) (nb_) = 20; \
   else if ((n_) < 520) (nb_) = 80; \
   else if ((n_) < 600) (nb_) = 64; \
   else if ((n_) < 680) (nb_) = 36; \
   else if ((n_) < 760) (nb_) = 84; \
   else if ((n_) < 840) (nb_) = 40; \
   else if ((n_) < 920) (nb_) = 104; \
   else if ((n_) < 1200) (nb_) = 108; \
   else if ((n_) < 1480) (nb_) = 60; \
   else if ((n_) < 1800) (nb_) = 80; \
   else if ((n_) < 3000) (nb_) = 140; \
   else (nb_) = 100; \
}


#endif    /* end ifndef ATL_stGetNB_geqrf */
